import sys
import time
from glob import glob
from datetime import datetime

delay = 5 # seconds
gliders = ["ramses",
           "pelagia",
          ]
filespec = "/var/opt/gmc/gliders/%(glider)s/logs/%(glider)s_network_*"

patterns = {}
counts = {}

while True:
    for glider in gliders:
        patterns[glider] = filespec % {"glider": glider, }
        counts[glider] = len(glob(patterns[glider]))

    while True:
        print '.',
        sys.stdout.flush()
        jump = False
        for glider in gliders:
            if counts[glider] != len(glob(patterns[glider])):
                jump = glider
                break
        if jump:
            break
        time.sleep(delay)

    while True:
        try:
            print '\a' + glider,
            sys.stdout.flush()
            time.sleep(1)
        except KeyboardInterrupt:
            break
